cURL
curl --request POST \
--url https://gateway.7exchange.io/wallet/1.0.0/{walletId}/asset \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--header 'token: <token>' \
--data '
{
"purpose": "<string>",
"type": "<string>",
"status": "<string>",
"instance": "<string>",
"instanceBase": "<string>",
"ownerId": "<string>",
"availableBalance": {
"balanceType": "<string>",
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
},
"allowedOperations": [
{
"operationType": "<string>",
"assetType": "<string>",
"name": "<string>",
"isSameWallet": true,
"ownerId": "<string>",
"operationDestination": {
"direction": "<string>",
"type": "<string>",
"ownerId": "<string>",
"operationAddresses": [
{
"type": "<string>",
"data": {
"name": "<string>",
"value": "<string>"
},
"ownerId": "<string>"
}
]
},
"fees": [
{
"type": "<string>",
"feeValue": {
"balanceType": "<string>",
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
},
"paidBy": "<string>",
"feeSharing": {
"source": {
"balanceType": "<string>",
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
},
"destination": {
"balanceType": "<string>",
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
},
"ownerId": "<string>"
},
"isDynamic": true,
"feeApiAddress": "<string>",
"group": 123,
"order": 123,
"ownerId": "<string>",
"appliedTo": "<string>",
"feeLimit": {
"enforcementPoint": "<string>",
"priority": 123,
"order": 123,
"action": "<string>",
"ownerId": "<string>",
"conditions": [
{
"priority": 123,
"order": 123,
"requirementType": "<string>",
"operation": "<string>",
"objectRef": {
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>"
},
"value": {
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>"
},
"ownerId": "<string>"
}
]
},
"defaultApiFee": {
"balanceType": "<string>",
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
}
}
],
"limits": [
{
"enforcementPoint": "<string>",
"priority": 123,
"order": 123,
"action": "<string>",
"ownerId": "<string>",
"conditions": [
{
"priority": 123,
"order": 123,
"requirementType": "<string>",
"operation": "<string>",
"objectRef": {
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>"
},
"value": {
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>"
},
"ownerId": "<string>"
}
]
}
]
}
]
}
'import requests
url = "https://gateway.7exchange.io/wallet/1.0.0/{walletId}/asset"
payload = {
"purpose": "<string>",
"type": "<string>",
"status": "<string>",
"instance": "<string>",
"instanceBase": "<string>",
"ownerId": "<string>",
"availableBalance": {
"balanceType": "<string>",
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
},
"allowedOperations": [
{
"operationType": "<string>",
"assetType": "<string>",
"name": "<string>",
"isSameWallet": True,
"ownerId": "<string>",
"operationDestination": {
"direction": "<string>",
"type": "<string>",
"ownerId": "<string>",
"operationAddresses": [
{
"type": "<string>",
"data": {
"name": "<string>",
"value": "<string>"
},
"ownerId": "<string>"
}
]
},
"fees": [
{
"type": "<string>",
"feeValue": {
"balanceType": "<string>",
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
},
"paidBy": "<string>",
"feeSharing": {
"source": {
"balanceType": "<string>",
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
},
"destination": {
"balanceType": "<string>",
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
},
"ownerId": "<string>"
},
"isDynamic": True,
"feeApiAddress": "<string>",
"group": 123,
"order": 123,
"ownerId": "<string>",
"appliedTo": "<string>",
"feeLimit": {
"enforcementPoint": "<string>",
"priority": 123,
"order": 123,
"action": "<string>",
"ownerId": "<string>",
"conditions": [
{
"priority": 123,
"order": 123,
"requirementType": "<string>",
"operation": "<string>",
"objectRef": {
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>"
},
"value": {
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>"
},
"ownerId": "<string>"
}
]
},
"defaultApiFee": {
"balanceType": "<string>",
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
}
}
],
"limits": [
{
"enforcementPoint": "<string>",
"priority": 123,
"order": 123,
"action": "<string>",
"ownerId": "<string>",
"conditions": [
{
"priority": 123,
"order": 123,
"requirementType": "<string>",
"operation": "<string>",
"objectRef": {
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>"
},
"value": {
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>"
},
"ownerId": "<string>"
}
]
}
]
}
]
}
headers = {
"tenantId": "<tenantid>",
"token": "<token>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
token: '<token>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
purpose: '<string>',
type: '<string>',
status: '<string>',
instance: '<string>',
instanceBase: '<string>',
ownerId: '<string>',
availableBalance: {
balanceType: '<string>',
name: '<string>',
value: '<string>',
ownerId: '<string>',
instanceRef: '<string>',
instanceBaseRef: '<string>'
},
allowedOperations: [
{
operationType: '<string>',
assetType: '<string>',
name: '<string>',
isSameWallet: true,
ownerId: '<string>',
operationDestination: {
direction: '<string>',
type: '<string>',
ownerId: '<string>',
operationAddresses: [
{
type: '<string>',
data: {name: '<string>', value: '<string>'},
ownerId: '<string>'
}
]
},
fees: [
{
type: '<string>',
feeValue: {
balanceType: '<string>',
name: '<string>',
value: '<string>',
ownerId: '<string>',
instanceRef: '<string>',
instanceBaseRef: '<string>'
},
paidBy: '<string>',
feeSharing: {
source: {
balanceType: '<string>',
name: '<string>',
value: '<string>',
ownerId: '<string>',
instanceRef: '<string>',
instanceBaseRef: '<string>'
},
destination: {
balanceType: '<string>',
name: '<string>',
value: '<string>',
ownerId: '<string>',
instanceRef: '<string>',
instanceBaseRef: '<string>'
},
ownerId: '<string>'
},
isDynamic: true,
feeApiAddress: '<string>',
group: 123,
order: 123,
ownerId: '<string>',
appliedTo: '<string>',
feeLimit: {
enforcementPoint: '<string>',
priority: 123,
order: 123,
action: '<string>',
ownerId: '<string>',
conditions: [
{
priority: 123,
order: 123,
requirementType: '<string>',
operation: '<string>',
objectRef: {ownerId: '<string>', name: '<string>', type: 123, value: '<string>'},
value: {ownerId: '<string>', name: '<string>', type: 123, value: '<string>'},
ownerId: '<string>'
}
]
},
defaultApiFee: {
balanceType: '<string>',
name: '<string>',
value: '<string>',
ownerId: '<string>',
instanceRef: '<string>',
instanceBaseRef: '<string>'
}
}
],
limits: [
{
enforcementPoint: '<string>',
priority: 123,
order: 123,
action: '<string>',
ownerId: '<string>',
conditions: [
{
priority: 123,
order: 123,
requirementType: '<string>',
operation: '<string>',
objectRef: {ownerId: '<string>', name: '<string>', type: 123, value: '<string>'},
value: {ownerId: '<string>', name: '<string>', type: 123, value: '<string>'},
ownerId: '<string>'
}
]
}
]
}
]
})
};
fetch('https://gateway.7exchange.io/wallet/1.0.0/{walletId}/asset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reason": "<string>",
"path": "<string>",
"method": "<string>",
"message": "<string>",
"timestamp": "<string>",
"status": 123
}"<unknown>"Assets
Create Asset
POST
/
{walletId}
/
asset
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
⌘I

